Members
Manage the members of your organisation or workspace.
GET Members
https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}/membersAuthentication Required: Yes
Description
Retrieives the details of all the members in your workspace.
Path Parameters
- workspace_id: the ID of your workspace.
Example JSON Reponse
{
"members": [
{
"email": "john.doe@email.com",
"email2Sms": {},
"id": "1234",
"role": "admin",
},
],
"status": "Found 1 Member",
}Code Snippet
POST Member
https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}/membersAuthentication Required: Yes
Description
Adds a new member to your workspace.
Path Parameters
- workspace_id: the ID of your workspace.
Body Properties
-
email*: email address of the new member.
-
role*: the role of the new member. Currently only supports
"agent"and"admin".
Code Snippet
DELETE Member
https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}}/members/{member_id}Authentication Required: Yes
Description
Removes a member from your workspace.
Path Parameters
-
workspace_id: the ID of your workspace.
-
member_id: the ID of the member you are removing.
Code Snippet
GET Member Permissions
https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}}/members/{member_id}/permissionsAuthentication Required: Yes
Description
Retrieves the permissions of a member in your workspace.
Path Parameters
-
workspace_id: the ID of your workspace.
-
member_id: the ID of the member you are retrieving the permissions of.
{
"permissions": "['chat.console.login', 'chat.queue.unified', 'chat.sms.initiate']",
"status": "OK"
}Code Snippet
POST Member Permissions
https://api.app.message2give.com/2019-01-23/organisations/{workspace_id}}/members/{member_id}}/permissionsAuthentication Required: Yes
Description
Updates the permissions of a member in your workspace.
Path Parameters
-
workspace_id: the ID of your workspace.
-
member_id: the ID of the member you are updating the permissions of.
Body Properties
The body should just be an array of the permissions that should be assigned to the member. These will replace the user's current permissions. See the code snippet below for an example.
Code Snippet
How is this guide?